org.apache.tomcat.util.modeler.modules

## Class MbeansDescriptorsDOMSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource
  - - org.apache.tomcat.util.modeler.modules.MbeansDescriptorsDOMSource

- Deprecated.
  Unused: Will be removed in Tomcat 8.0.x

      @Deprecated
      public class MbeansDescriptorsDOMSource
      extends ModelerSource

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MbeansDescriptorsDOMSource()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Deprecated.
    `java.util.List<javax.management.ObjectName>` | `loadDescriptors(Registry registry, java.lang.String type, java.lang.Object source)` Deprecated. Load data, returns a list of items.
    `void` | `setLocation(java.lang.String loc)` Deprecated.
    `void` | `setRegistry(Registry reg)` Deprecated.
    `void` | `setSource(java.lang.Object source)` Deprecated.
    `void` | `setType(java.lang.String type)` Deprecated. Used if a single component is loaded

    - ### Methods inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

      `getInputStream, loadDescriptors, store, updateField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MbeansDescriptorsDOMSource

          public MbeansDescriptorsDOMSource()

      Deprecated.

  - ### Method Detail

    - #### setRegistry

          public void setRegistry(Registry reg)

      Deprecated.

    - #### setLocation

          public void setLocation(java.lang.String loc)

      Deprecated.

    - #### setType

          public void setType(java.lang.String type)

      Deprecated.
      Used if a single component is loaded
      Parameters:
        `type` -

    - #### setSource

          public void setSource(java.lang.Object source)

      Deprecated.

    - #### loadDescriptors

          public java.util.List<javax.management.ObjectName> loadDescriptors(Registry registry,
                                                                    java.lang.String type,
                                                                    java.lang.Object source)
                                                                      throws java.lang.Exception

      Deprecated.
      Description copied from class: `ModelerSource`
      Load data, returns a list of items.
      Specified by:
        `loadDescriptors` in class `ModelerSource`
      Parameters:
        `registry` - The registry
        `type` - The bean registry type
        `source` - Introspected object or some other source
      Returns:
        a list of object names
      Throws:
        `java.lang.Exception` - Error loading descriptors

    - #### execute

          public void execute()
                       throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.